POFILESPELL(1)

NAME
POFileSpell - checks the spelling in a collection of PO files

SYNOPSIS

POFileSpell [OPTION] [...] [FILE] [...]

INTRODUCTION

POFileSpell checks the spelling in a collection of PO files.

COMMAND LINE OPTIONS

--help or -h
    show usage instructions

--interactive or -i
    interactive mode, iterate through the spelling errors using a text mode interface; see the Interactive Mode section

--overview or -o
    generate an overview file, grouping by error and not by file

--dict=file or -d file
    load a file with a list of words to consider correct; can be used multiple times

--batch-add=file
    load a file with a list of words to add to the X-POFile-SpellExtra section of each of the target PO files; can be used multiple times; when used, the actual spelling process is not run

--command=command
    the command used for actually spell checking the text, by default aspell --encoding=utf-8 -l; if you want to use ispell, try something like --comand="ispell -l" or --comand="iconv -t iso-8859-1 | ispell -l"

INTERACTIVE MODE

In interactive mode you iterate through each of the errors found. In each prompt you can press a to add the word to a file's X-POFile-SpellExtra entry, n to ignore all further errors from this file, Enter to ignore this error or, if you are using one or more dictionary files, the number of the file (1, 2, ...) to add the word to that dictionary file.

PO FILE HEADER DIRECTIVES

POFileSpell recognizes one PO file header directive. As with all gettext lint tools, this directive is prefixed with X-POFile.

X-POFile-SpellExtra: word
    adds the word to the file's list of accepted words

DICTIONARY FILE FORMAT

Dictionary files are just lists of words, one on each line. For example:

word 1
word 2
word n

MORE INFORMATION

gettext-lint web page: http://gettext-lint.sourceforge.net/

AUTHOR
Pedro Morais.
<morais@kde.org>